Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452771 - Fedora's firefox produces garbled text for certain websites
Summary: Fedora's firefox produces garbled text for certain websites
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 22:49 UTC by Orion Poplawski
Modified: 2018-04-11 09:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-24 15:19:10 UTC


Attachments (Terms of Use)
Postscript output from Fedora firefox (deleted)
2008-06-24 22:49 UTC, Orion Poplawski
no flags Details
Postscript output from Mozilla firefox (deleted)
2008-06-24 22:50 UTC, Orion Poplawski
no flags Details
Reproduction of the issue (deleted)
2008-07-29 23:12 UTC, Matěj Cepl
no flags Details

Description Orion Poplawski 2008-06-24 22:49:47 UTC
Description of problem:

When using Fedora's firefox and printing
http://www.cmcc.it/web/public/sparc-ga2008 certain text is garbled.  Prints fine
using firefox 2.0.0.14 downloaded from mozilla.org.

Version-Release number of selected component (if applicable):
firefox-2.0.0.14-1.fc8

Comment 1 Orion Poplawski 2008-06-24 22:49:47 UTC
Created attachment 310199 [details]
Postscript output from Fedora firefox

Comment 2 Orion Poplawski 2008-06-24 22:50:36 UTC
Created attachment 310200 [details]
Postscript output from Mozilla firefox

Comment 3 Matěj Cepl 2008-07-29 23:12:57 UTC
Created attachment 312948 [details]
Reproduction of the issue

yup!

Comment 4 Matěj Cepl 2008-07-29 23:13:57 UTC
Reproduced on dell-pe830-02.rhts.bos.redhat.com (fresh RHTS F8 machine upgraded
to the latest packages).

Comment 5 Matěj Cepl 2008-07-29 23:16:10 UTC
Behdad, isn't this cairo issue?

Comment 6 Behdad Esfahbod 2008-07-30 22:03:42 UTC
Our printing uses Pango.  Mozilla's doesn't.

No cairo, no.  It's in our firefox+pango-printing patch.

Comment 7 Martin Stransky 2008-10-24 15:19:10 UTC
The printout is fixed in F9/Firefox3....closing as RAWHIDE.


Note You need to log in before you can comment on or make changes to this bug.